
QGIS Application - Bug report #22094

QGIS crashes on closing

2019-05-16 02:32 PM - Karsten Tebling

Status: Feedback

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29907

Description

User Feedback

QGIS crashed when I closed it while having 4 csv-files and one WMS open

Report Details

Crash ID: 03dc7fee4fc9d39a290f3c5190fb31b9fcb2ed96

Stack Trace

QgsAuthManager::createConfigTables :

QgsAuthManager::configIds :

QgsAuthManager::configIds :

QgsAuthManager::defaultCertTrustPolicy :

QgsAuthMethodRegistry::operator= :

QMetaObject::activate :

QThread::finished :

QThread::currentThreadId :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-16 02:33 PM - Karsten Tebling

after closing the crash-notice I got another crash-notice (6x the same):

User Feedback

Report Details
Crash ID: ID not generated due to missing information.

Your version of QGIS install might not have debug information included or we couldn't get crash information.

Stack Trace

Stack trace could not be generated.

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2019-05-17 07:27 PM - Giovanni Manghi

- Priority changed from Normal to High

Please try with a new/clean qgis profile and no 3rd party plugins installed.

#3 - 2019-05-20 12:27 PM - Alessandro Pasotti

If the crash happens all the times, can you share a test project?

#4 - 2019-05-21 10:46 AM - Giovanni Manghi

- Status changed from Open to Feedback
